import CommonTemplate from "./common-template.mjs"
import { INTEGER } from "./field-types.mjs"

const fields = foundry.data.fields

export class CommonEnchantable extends CommonTemplate {
  fields() {
    return {
      magique: new fields.BooleanField({ initial: false }),
      pr: new fields.NumberField({ label: "Points de rêve", initial: 0, ...INTEGER }),
      purifie: new fields.BooleanField({ initial: false }),
      prpermanent: new fields.BooleanField({ initial: false }),
      prdate: new fields.NumberField({ initial: 0, integer: true }),
    }
  }
  handlebars() { return [] }
  actions() { return {} }
  async prepareContext(item) { return {} }
}
